<?php
class dormatic_Act {

	public function __construct() {
		$this->dormatic_register_action();
	}
	private function dormatic_register_action() {
		add_action( 'dormatic_search_popup', array( 'Dormatic_Init', 'dormatic_search_popup' ) );
		add_action( 'dormatic_search_form', array( 'Dormatic_Init', 'dormatic_search_form' ) );
		add_action( 'dormatic_search_popup_sticky', array( 'Dormatic_Init', 'dormatic_search_popup_sticky' ) );
		add_action( 'dormatic_preloader', array( 'Dormatic_Init', 'dormatic_preloader' ) );
		add_action( 'dormatic_back_to_top', array( 'Dormatic_Init', 'dormatic_back_to_top' ) );
		add_action( 'dormatic_header_logo', array( 'Dormatic_Init', 'dormatic_header_logo' ) );
		add_action( 'dormatic_header_logo_two', array( 'Dormatic_Init', 'dormatic_header_logo_two' ) );
		add_action( 'dormatic_header_logo_sticky', array( 'Dormatic_Init', 'dormatic_header_logo_sticky' ) );
		add_action( 'dormatic_header_menu', array( 'Dormatic_Init', 'dormatic_header_menu' ) );
		add_action( 'dormatic_mobile_menu', array( 'Dormatic_Init', 'dormatic_mobile_menu' ) );

		add_action( 'dormatic_breadcrumb', array( 'Dormatic_Init', 'dormatic_breadcrumb' ) );
		add_action( 'dormatic_blog_social', array( 'Dormatic_Init', 'dormatic_blog_social' ) );
	}
}
$dormatic_act = new dormatic_Act();
